Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1842 - /etc/rc.d/init.d/named missing probing information
Summary: /etc/rc.d/init.d/named missing probing information
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-26 23:42 UTC by Michael K. Johnson
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-27 00:22:04 UTC


Attachments (Terms of Use)

Description Michael K. Johnson 1999-03-26 23:42:42 UTC
Missing at least
# config: /etc/named.conf
# processname: named
Alternatively, it is possible to use linuxconf explicitly
in a probe command to dynamically parse /etc/named.conf
and look at all the configuration files and see if any
of them need to be changed.

We should probably wait for linuxconf 1.14r1.2 and
make bind conflict with linuxconf > 1.14r1.2 (since
the probing is for linuxconf to call, if linuxconf
is not installed, the probing isn't much of an issue).

Comment 1 Cristian Gafton 1999-03-26 23:46:59 UTC
I see absolutely no reason to link in any way bind with linuxconf via
a dependency/conflct chain.

I will fix bind to provide that probing information.

Comment 2 Michael K. Johnson 1999-03-27 00:19:59 UTC
OK, we have discussed this and concluded that bind by definition
should know what to do about reloading, and it provides the command
"ndc reload" to do intelligent reloading.  If bind changes, bind
will keep up with its own changes faster than linuxconf can, just
by definition.

bind does not, however, provide a command to report on its status,
which means that to precisely follow probe semantics we would need
to always report "reload".

We are therefore bending the semantics of the probe statement to
always do an ndc reload and never report that anything needs to
be done, except if named needs to be started, in which case we
will report start.  This way, if someone stops named, runs linuxconf
to change named configuration, and then exits linuxconf, he will
be asked if he wants to start named.  Otherwise, named will silently
reload.


Note You need to log in before you can comment on or make changes to this bug.